// THIS FILE IS AUTO GENERATED BY GK-CLI DO NOT EDIT!!
package grpc

import (
	grpc "github.com/go-kit/kit/transport/grpc"
	endpoint "license-usage/usage/pkg/endpoint"
	pb "license-usage/usage/pkg/grpc/pb"
)

// NewGRPCServer makes a set of endpoints available as a gRPC AddServer
type grpcServer struct {
	keepAliveUsage      grpc.Handler
	createKeyUsageInfo  grpc.Handler
	updateKeyUsageInfo  grpc.Handler
	readKeyUsageInfo    grpc.Handler
	readKeyUsageWithMac grpc.Handler
	readKeyUsageBulk    grpc.Handler
	expireUsageBulk     grpc.Handler
}

func NewGRPCServer(endpoints endpoint.Endpoints, options map[string][]grpc.ServerOption) pb.UsageServer {
	return &grpcServer{
		createKeyUsageInfo:  makeCreateKeyUsageInfoHandler(endpoints, options["CreateKeyUsageInfo"]),
		expireUsageBulk:     makeExpireUsageBulkHandler(endpoints, options["ExpireUsageBulk"]),
		keepAliveUsage:      makeKeepAliveUsageHandler(endpoints, options["KeepAliveUsage"]),
		readKeyUsageBulk:    makeReadKeyUsageBulkHandler(endpoints, options["ReadKeyUsageBulk"]),
		readKeyUsageInfo:    makeReadKeyUsageInfoHandler(endpoints, options["ReadKeyUsageInfo"]),
		readKeyUsageWithMac: makeReadKeyUsageWithMacHandler(endpoints, options["ReadKeyUsageWithMac"]),
		updateKeyUsageInfo:  makeUpdateKeyUsageInfoHandler(endpoints, options["UpdateKeyUsageInfo"]),
	}
}
